const rotateDocs = require("rotate-docs");

function WindowStub(){
  let style = null;
  let rotate = {
    setAttribute: function(attr, val){
      style = val;
    },
    removeAttribute: function(attr){
      style = null;
    }
  };
  this.content = {
    document: {
      getElementById: function(id){
        return rotate;
      }
    }
  };
  this.innerWidth = 800;
  this.innerHeight = 600;
  this.scrollTo = function(y, x){};
  this.getStyle = function(){ return style; };
}

exports.testRotate = function(test) {
  var win = new WindowStub();

  rotateDocs.rotate(win, 90);
  console.log(win.getStyle());
  test.assertEqual(win.getStyle().substring(0, 30), "-moz-transform: rotate(90deg);");

  rotateDocs.rotate(win, 180);
  console.log(win.getStyle());
  test.assertEqual(win.getStyle().substring(0, 31), "-moz-transform: rotate(180deg);");

  rotateDocs.rotate(win, -90);
  console.log(win.getStyle());
  test.assertEqual(win.getStyle().substring(0, 31), "-moz-transform: rotate(-90deg);");

  rotateDocs.rotate(win, 0);
  console.log(win.getStyle());
  test.assertEqual(win.getStyle(), null);
}
